POE::Resources(3)

NAME
POE::Resources - loader of POE resources

SYNOPSIS
  # Intended for internal use by POE::Kernel.
  use POE::Resources;
  POE::Resources->load();

DESCRIPTION
POE::Kernel is internally split into different resources that are separately managed by individual mix-in classes.

POE::Resources is designed as a high-level macro manager for POE::Resource classes. Currently it implements a single method, load(), which loads all the POE::Resource classes.

METHODS
POE::Resources has a public interface, but it is intended to be used internally by POE::Kernel. Application programmers should never need to use POE::Resources directly.

  load
POE::Kernel calls load() to loads all the known POE::Resource modules.

Each resource may be handled by a pure perl module, or by an XS module. For each resource class, load() first tries to load the "POE::XS::Resource::..." version of the module. If that fails, load() falls back to "POE::Resource::...".

SEE ALSO
See "Resources" in POE::Kernel for public information about POE resources.

See POE::Resource for general discussion about resources and the classes that manage them.

AUTHORS & LICENSING
Please see POE for more information about its authors, contributors, and POE's licensing.